Snoze Developers
API referenceShare links

Create

POST
/v1/workspaces/{workspaceId}/assets/{fileId}/share-links
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string
fileId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/string/assets/string/share-links" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "fileId": "string",    "workspaceId": "string",    "url": "string",    "expiresAt": "string",    "downloadName": "string",    "maxUses": 0,    "useCount": 0,    "createdAt": "string",    "revokedAt": "string"  }}